NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Tooling::ReusePositioningObjectBuilder Class Reference

Represents a NXOpen::Tooling::ReusePositioningObjectBuilder
Use the NXOpen::Tooling::ReusableObjectManager class to create a ReusePositioningObjectBuilder. More...

Inheritance diagram for NXOpen::Tooling::ReusePositioningObjectBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  CurveExtendToFace { CurveExtendToFaceNone, CurveExtendToFaceBoundary }
 extend to face edges type enum. More...
 
enum  CurveTrim { CurveTrimNone, CurveTrimWithinSection }
 trim to each other within section type enum. More...
 
enum  DialogOptions {
  DialogOptionsFromToolbar, DialogOptionsFromDialog, DialogOptionsImportPart, DialogOptionsToolingTemplate,
  DialogOptionsFromExpression
}
 the dialog layout options More...
 
enum  SubTypes {
  SubTypesPlanarPatternLinear, SubTypesPlanarPatternCircular, SubTypesEditSketch, SubTypesNonPlanarPattern,
  SubTypesNonPlanarGeneral
}
 the positioning sub types More...
 
enum  Types {
  TypesPatternLinear, TypesPatternCircular, TypesImportedData, TypesEditSketch,
  TypesEditMode = 9, TypesQuickCsys = 7, TypesOffsetCsysPattern, TypesPlanarPattern = 4,
  TypesNonPlanarPattern, TypesCurvePattern
}
 the positioning types More...
 

Public Member Functions

NXOpen::PointAddPoint (const NXOpen::Point3d &pointCoords)
 Create a point, then add it to sketch. More...
 
NXOpen::PointAddPointOnNonPlanar (const NXOpen::Point3d &pointCoords)
 Create a point on the non-planar face/curve. More...
 
void AddPoints ()
 Adds points to sketch
Created in NX11.0.0. More...
 
NXString Angle ()
 Returns the angle value of pattern
Created in NX11.0.0. More...
 
NXString ColumnNumber ()
 Returns the column number of pattern
Created in NX11.0.0. More...
 
void CreateCsysOnNonPlanar ()
 Creates datum csys pattern on non planar face/curve
Created in NX12.0.0. More...
 
NXOpen::Features::FeatureCreateOffsetCsysFromSeed ()
 Create offset CSYS from seed CSYS. More...
 
void CreatePointInSketch ()
 Creates point pattern in sketch
Created in NX11.0.0. More...
 
void CreateSketch (NXOpen::NXObject *dropFace, const NXOpen::Point3d &position)
 Creates new sketch on drop face and location
Created in NX11.0.0. More...
 
NXString CurvePercentage ()
 Returns the percentage value of curve
Created in NX12.0.0. More...
 
NXString DataFile ()
 Returns the imported data file name
Created in NX11.0.0. More...
 
void DeletePoint (NXOpen::Point *point)
 Delete point from sketch
Created in NX11.0.0. More...
 
void DeselectNonPlanarObject (const std::vector< NXOpen::NXObject * > &delselectedObjs)
 Deselected the edge or non planar face
Created in NX12.0.0. More...
 
NXOpen::Tooling::ReusePositioningObjectBuilder::DialogOptions DialogOption ()
 Returns the dialog option type that is from toolbar or others
Created in NX11.0.0. More...
 
bool Distribution ()
 Returns the distribution mode of pattern point
Created in NX11.0.0. More...
 
NXOpen::NXObjectDropObject ()
 Returns the drop face required for reattach sketch when using one-pick position method
Created in NX11.0.0. More...
 
NXOpen::Matrix3x3 DynamicCsysOrientation ()
 Returns the orientation of dynamic csys
Created in NX11.0.0. More...
 
NXOpen::Point3d DynamicCsysOrigin ()
 Returns the origin of dynamic csys
Created in NX11.0.0. More...
 
NXOpen::Features::FeatureEditFeatureGroup ()
 Returns the feature group created after reuse paste
Created in NX11.0.0. More...
 
void EditPoint (NXOpen::Point *point, double value, bool isXValue)
 Edits point from sketch
Created in NX11.0.0. More...
 
void EditPoint (NXOpen::Point *point, double xvalue, double yvalue)
 Edits point from sketch
Created in NX11.0.0. More...
 
NXOpen::PointEditPointOnPlanar (NXOpen::Point *point, double value, bool isUValue)
 Edits point on the planar face/curve. More...
 
NXOpen::PointEditPointOnPlanar (NXOpen::Point *point, double uValue, double vValue)
 Edits point on the planar face/curve. More...
 
NXString EndingUValue ()
 Returns the end U value of non planar face pattern
Created in NX12.0.0. More...
 
NXString EndingVValue ()
 Returns the end V value of non planar face pattern
Created in NX12.0.0. More...
 
void ExtendCurveFaceEdges (bool extendToFaceEdges)
 Extend curve status accroding to the extend option
Created in NX12.0.0. More...
 
NXOpen::Tooling::ReusePositioningObjectBuilder::CurveExtendToFace ExtendToFaceEdgesOption ()
 Returns the extend option for curve operation. More...
 
NXOpen::CoordinateSystemFindSeedCsysFromPattern (NXOpen::NXObject *csysPattern)
 Find the seed CSYS tag from pattern. More...
 
void FlipOffsetCurveDirection ()
 Flip offset curve direction
Created in NX12.0.0. More...
 
void FreeOcfApplicationData ()
 Free OCF applicaion data
Created in NX12.0.0. More...
 
void GetAllDatumCsys (std::vector< NXOpen::CoordinateSystem * > &datumCsys)
 Gets all the datum CSYS tag
Created in NX12.0.0. More...
 
void GetCsysFromFeatureSet ()
 Get all CSYS tags from positioning feature set
Created in NX12.0.0. More...
 
bool GetFeatureSetAttributes ()
 Gets attributes from feature set. More...
 
bool GetNonStandardPoints (std::vector< NXOpen::Point3d > &points)
 Gets the point coordinates. More...
 
NXOpen::NXObjectGetOffsetCsysPattern ()
 Get the offset datum CSYS pattern. More...
 
void GetSketchFromFeatureSet ()
 Gets sketch tag from feature set
Created in NX11.0.0. More...
 
NXOpen::SketchImportedSketch ()
 Returns the imported sketch
Created in NX11.0.0. More...
 
NXOpen::Point3d InitialPasteLocation ()
 Returns the initial paste location. More...
 
NXString Length ()
 Returns the length value of pattern
Created in NX11.0.0. More...
 
NXString LibraryName ()
 Returns the library name that is used for the positioning object
Created in NX11.0.0. More...
 
void LoadPart (const NXString &partFileName)
 Imports given part file to current work part
Created in NX11.0.0. More...
 
void LoadPart (const char *partFileName)
 Imports given part file to current work part
Created in NX11.0.0. More...
 
NXOpen::ScCollectorMultipleFaceCollector ()
 Returns the multiple face for non planar face
Created in NX12.0.0. More...
 
NXOpen::PointNewPoint ()
 Returns the new added point
Created in NX11.0.1. More...
 
NXOpen::CoordinateSystemOffsetCsysFromQuick ()
 Returns the offset datum CSYS from quick csys
Created in NX12.0.0. More...
 
void OffsetCurveOnFace (const NXString &offsetValue)
 Offset curve on the face
Created in NX12.0.0. More...
 
void OffsetCurveOnFace (const char *offsetValue)
 Offset curve on the face
Created in NX12.0.0. More...
 
NXOpen::Features::FeatureOffsetDatumCsys ()
 Returns the offset datum CSYS
Created in NX12.0.0. More...
 
NXString OffsetValue ()
 Returns the offset value of pattern
Created in NX11.0.0. More...
 
NXOpen::Tooling::QuickDatumCsysBuilderQuickCsysData ()
 Returns the quick CSYS data
Created in NX12.0.0. More...
 
NXOpen::NXObjectReferenceCsysPattern ()
 Returns the referenced CSYS pattern
Created in NX12.0.0. More...
 
void RepositionBody (const NXOpen::Point3d &target, const NXOpen::Matrix3x3 &orient, bool twoPickPositionMode, bool onlyMovePoints)
 Moves the body to the selected point and orientation
Created in NX11.0.0. More...
 
NXString RowNumber ()
 Returns the row number of pattern
Created in NX11.0.0. More...
 
NXOpen::CoordinateSystemSeedDatumCsys ()
 Returns the seed datum CSYS
Created in NX12.0.0. More...
 
bool SelectedCurve ()
 Returns the flag of the selected curve
Created in NX12.0.0. More...
 
NXOpen::SectionSelectedCurveCollector ()
 Returns the selected curve for non planar face
Created in NX12.0.0. More...
 
bool SelectedNonPlanarFace ()
 Returns the flag of the selected non-planar face
Created in NX12.0.0. More...
 
void SetAngle (const NXString &angle)
 Sets the angle value of pattern
Created in NX11.0.0. More...
 
void SetAngle (const char *angle)
 Sets the angle value of pattern
Created in NX11.0.0. More...
 
void SetBaseFaceForSection (NXOpen::ScCollector *collTag)
 Set base face for section
Created in NX12.0.0. More...
 
void SetColumnNumber (const NXString &columnNumber)
 Sets the column number of pattern
Created in NX11.0.0. More...
 
void SetColumnNumber (const char *columnNumber)
 Sets the column number of pattern
Created in NX11.0.0. More...
 
void SetCurvePercentage (const NXString &curvePercentage)
 Sets the percentage value of curve
Created in NX12.0.0. More...
 
void SetCurvePercentage (const char *curvePercentage)
 Sets the percentage value of curve
Created in NX12.0.0. More...
 
void SetDataFile (const NXString &dataFileName)
 Sets the imported data file name
Created in NX11.0.0. More...
 
void SetDataFile (const char *dataFileName)
 Sets the imported data file name
Created in NX11.0.0. More...
 
void SetDialogOption (NXOpen::Tooling::ReusePositioningObjectBuilder::DialogOptions options)
 Sets the dialog option type that is from toolbar or others
Created in NX11.0.0. More...
 
void SetDistribution (bool isSymmetrical)
 Sets the distribution mode of pattern point
Created in NX11.0.0. More...
 
void SetDropObject (NXOpen::NXObject *face)
 Sets the drop face required for reattach sketch when using one-pick position method
Created in NX11.0.0. More...
 
void SetDynamicCsysOrientation (const NXOpen::Matrix3x3 &orientation)
 Sets the orientation of dynamic csys
Created in NX11.0.0. More...
 
void SetDynamicCsysOrigin (const NXOpen::Point3d &origin)
 Sets the origin of dynamic csys
Created in NX11.0.0. More...
 
void SetEditFeatureGroup (NXOpen::Features::Feature *featureGroup)
 Sets the feature group created after reuse paste
Created in NX11.0.0. More...
 
void SetEndingUValue (const NXString &endUValue)
 Sets the end U value of non planar face pattern
Created in NX12.0.0. More...
 
void SetEndingUValue (const char *endUValue)
 Sets the end U value of non planar face pattern
Created in NX12.0.0. More...
 
void SetEndingVValue (const NXString &endVValue)
 Sets the end V value of non planar face pattern
Created in NX12.0.0. More...
 
void SetEndingVValue (const char *endVValue)
 Sets the end V value of non planar face pattern
Created in NX12.0.0. More...
 
void SetExtendToFaceEdgesOption (NXOpen::Tooling::ReusePositioningObjectBuilder::CurveExtendToFace extendToFaceEdges)
 Sets the extend option for curve operation. More...
 
void SetImportedSketch (NXOpen::Sketch *sketch)
 Sets the imported sketch
Created in NX11.0.0. More...
 
void SetInitialPasteLocation (const NXOpen::Point3d &dropLocation)
 Sets the initial paste location. More...
 
void SetLength (const NXString &length)
 Sets the length value of pattern
Created in NX11.0.0. More...
 
void SetLength (const char *length)
 Sets the length value of pattern
Created in NX11.0.0. More...
 
void SetLibraryName (const NXString &libraryName)
 Sets the library name that is used for the positioning object
Created in NX11.0.0. More...
 
void SetLibraryName (const char *libraryName)
 Sets the library name that is used for the positioning object
Created in NX11.0.0. More...
 
void SetMultipleFaceCollector (NXOpen::ScCollector *collTag)
 Sets the multiple face for non planar face
Created in NX12.0.0. More...
 
void SetNewPoint (NXOpen::Point *point)
 Sets the new added point
Created in NX11.0.1. More...
 
void SetNonStandardPoints (const std::vector< NXOpen::Point3d > &points, bool isAbsolute)
 Set the point coordinates
Created in NX11.0.0. More...
 
void SetOffsetCsysFromQuick (NXOpen::CoordinateSystem *offsetCsysFromQuick)
 Sets the offset datum CSYS from quick csys
Created in NX12.0.0. More...
 
void SetOffsetDatumCsys (NXOpen::Features::Feature *offsetCsys)
 Sets the offset datum CSYS
Created in NX12.0.0. More...
 
void SetOffsetValue (const NXString &offsetValue)
 Sets the offset value of pattern
Created in NX11.0.0. More...
 
void SetOffsetValue (const char *offsetValue)
 Sets the offset value of pattern
Created in NX11.0.0. More...
 
void SetPointsInSketch ()
 Sets points in sketch
Created in NX11.0.0. More...
 
void SetQuickCsysData (NXOpen::Tooling::QuickDatumCsysBuilder *quickCsysData)
 Sets the quick CSYS data
Created in NX12.0.0. More...
 
void SetReferenceCsysPattern (NXOpen::NXObject *referCsysPattern)
 Sets the referenced CSYS pattern
Created in NX12.0.0. More...
 
void SetRowNumber (const NXString &rowNumber)
 Sets the row number of pattern
Created in NX11.0.0. More...
 
void SetRowNumber (const char *rowNumber)
 Sets the row number of pattern
Created in NX11.0.0. More...
 
void SetSeedDatumCsys (NXOpen::CoordinateSystem *seedCsys)
 Sets the seed datum CSYS
Created in NX12.0.0. More...
 
void SetSelectedCurve (bool selected)
 Sets the flag of the selected curve
Created in NX12.0.0. More...
 
void SetSelectedCurveCollector (NXOpen::Section *section)
 Sets the selected curve for non planar face
Created in NX12.0.0. More...
 
void SetSelectedNonPlanarFace (bool selected)
 Sets the flag of the selected non-planar face
Created in NX12.0.0. More...
 
void SetSketchActive (NXOpen::Sketch *sketch)
 Sets the sketch to be active
Created in NX11.0.0. More...
 
void SetStartingUValue (const NXString &startUValue)
 Sets the start U value of non planar face pattern
Created in NX12.0.0. More...
 
void SetStartingUValue (const char *startUValue)
 Sets the start U value of non planar face pattern
Created in NX12.0.0. More...
 
void SetStartingVValue (const NXString &startVValue)
 Sets the start V value of non planar face pattern
Created in NX12.0.0. More...
 
void SetStartingVValue (const char *startVValue)
 Sets the start V value of non planar face pattern
Created in NX12.0.0. More...
 
void SetSubType (NXOpen::Tooling::ReusePositioningObjectBuilder::SubTypes type)
 Sets the positioning object sub type that is from pattern or imported data
Created in NX12.0.0. More...
 
void SetTrimToFaceEdgesOption (bool trimToFaceEdges)
 Sets the trim option for curve option. More...
 
void SetType (NXOpen::Tooling::ReusePositioningObjectBuilder::Types type)
 Sets the positioning object type that is from pattern or imported data
Created in NX11.0.0. More...
 
void SetUPercentage (const NXString &uPercentage)
 Sets the u percentage of non planar face pattern
Created in NX12.0.0. More...
 
void SetUPercentage (const char *uPercentage)
 Sets the u percentage of non planar face pattern
Created in NX12.0.0. More...
 
void SetUseFaceCenterAsLocation (bool useFaceCenter)
 Sets an option that indicates whether to use face center as location
Created in NX11.0.0. More...
 
void SetUseOnePickPositionMethod (bool useOnePickPositionMethod)
 Sets the option specifying whether to use one-pick position method for drag/drop
Created in NX11.0.0. More...
 
void SetUseProjectPoint (bool useProjectPoint)
 Sets an option that indicates whether to use project point if associative point is not in the same plane as sketch
Created in NX11.0.1. More...
 
void SetVPercentage (const NXString &vPercentage)
 Sets the v percentage of non planar face pattern
Created in NX12.0.0. More...
 
void SetVPercentage (const char *vPercentage)
 Sets the v percentage of non planar face pattern
Created in NX12.0.0. More...
 
void SetWidth (const NXString &width)
 Sets the width value of pattern
Created in NX11.0.0. More...
 
void SetWidth (const char *width)
 Sets the width value of pattern
Created in NX11.0.0. More...
 
NXOpen::SectionSketchPoint ()
 Returns the part sketch point section
Created in NX11.0.0. More...
 
NXString StartingUValue ()
 Returns the start U value of non planar face pattern
Created in NX12.0.0. More...
 
NXString StartingVValue ()
 Returns the start V value of non planar face pattern
Created in NX12.0.0. More...
 
NXOpen::Tooling::ReusePositioningObjectBuilder::SubTypes SubType ()
 Returns the positioning object sub type that is from pattern or imported data
Created in NX12.0.0. More...
 
void TrimCurveFaceEdges (bool trimToFaceEdges)
 Trim curve status accroding to the trim option
Created in NX12.0.0. More...
 
bool TrimToFaceEdgesOption ()
 Returns the trim option for curve option. More...
 
NXOpen::Tooling::ReusePositioningObjectBuilder::Types Type ()
 Returns the positioning object type that is from pattern or imported data
Created in NX11.0.0. More...
 
void UpdateDatumCsysByType ()
 Update datum CSYS when switch the type
Created in NX12.0.0. More...
 
void UpdateQuickCsysPattern ()
 Update quick CSYS pattern
Created in NX12.0.0. More...
 
NXString UPercentage ()
 Returns the u percentage of non planar face pattern
Created in NX12.0.0. More...
 
bool UseFaceCenterAsLocation ()
 Returns an option that indicates whether to use face center as location
Created in NX11.0.0. More...
 
bool UseOnePickPositionMethod ()
 Returns the option specifying whether to use one-pick position method for drag/drop
Created in NX11.0.0. More...
 
bool UseProjectPoint ()
 Returns an option that indicates whether to use project point if associative point is not in the same plane as sketch
Created in NX11.0.1. More...
 
NXString VPercentage ()
 Returns the v percentage of non planar face pattern
Created in NX12.0.0. More...
 
NXString Width ()
 Returns the width value of pattern
Created in NX11.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::Tooling::ReusePositioningObjectBuilder
Use the NXOpen::Tooling::ReusableObjectManager class to create a ReusePositioningObjectBuilder.



Created in NX11.0.0.

Member Enumeration Documentation

extend to face edges type enum.

Enumerator
CurveExtendToFaceNone 

no extentsion

CurveExtendToFaceBoundary 

extend till face boundary

trim to each other within section type enum.

Enumerator
CurveTrimNone 

no trimming

CurveTrimWithinSection 

allow trimming

the dialog layout options

Enumerator
DialogOptionsFromToolbar 

dialog from toolbar

DialogOptionsFromDialog 

called by other dialog

DialogOptionsImportPart 

import template part

DialogOptionsToolingTemplate 

tooling template part

DialogOptionsFromExpression 

dialog from expression

the positioning sub types

Enumerator
SubTypesPlanarPatternLinear 

linear type

SubTypesPlanarPatternCircular 

circular type

SubTypesEditSketch 

general type

SubTypesNonPlanarPattern 

edit sketch type

SubTypesNonPlanarGeneral 

general type

the positioning types

Enumerator
TypesPatternLinear 

linear type

TypesPatternCircular 

circular type

TypesImportedData 

imported data type

TypesEditSketch 

edit sketch type

TypesEditMode 

dialog edit mode

TypesQuickCsys 

quick datum csys mode

TypesOffsetCsysPattern 

offset csys pattern mode

TypesPlanarPattern 

planar type

TypesNonPlanarPattern 

non planar type

TypesCurvePattern 

non planar curve type

Member Function Documentation

NXOpen::Point* NXOpen::Tooling::ReusePositioningObjectBuilder::AddPoint ( const NXOpen::Point3d pointCoords)

Create a point, then add it to sketch.

Returns
point tag
Created in NX11.0.0.

License requirements : None
Parameters
pointCoordspoint coordinates
NXOpen::Point* NXOpen::Tooling::ReusePositioningObjectBuilder::AddPointOnNonPlanar ( const NXOpen::Point3d pointCoords)

Create a point on the non-planar face/curve.

Returns
point tag
Created in NX12.0.0.

License requirements : None
Parameters
pointCoordspoint coordinates
void NXOpen::Tooling::ReusePositioningObjectBuilder::AddPoints ( )

Adds points to sketch
Created in NX11.0.0.



License requirements : None

NXString NXOpen::Tooling::ReusePositioningObjectBuilder::Angle ( )

Returns the angle value of pattern
Created in NX11.0.0.



License requirements : None

NXString NXOpen::Tooling::ReusePositioningObjectBuilder::ColumnNumber ( )

Returns the column number of pattern
Created in NX11.0.0.



License requirements : None

void NXOpen::Tooling::ReusePositioningObjectBuilder::CreateCsysOnNonPlanar ( )

Creates datum csys pattern on non planar face/curve
Created in NX12.0.0.



License requirements : None

NXOpen::Features::Feature* NXOpen::Tooling::ReusePositioningObjectBuilder::CreateOffsetCsysFromSeed ( )

Create offset CSYS from seed CSYS.

Returns
Offset csys feature tag
Created in NX12.0.0.

License requirements : None
void NXOpen::Tooling::ReusePositioningObjectBuilder::CreatePointInSketch ( )

Creates point pattern in sketch
Created in NX11.0.0.



License requirements : None

void NXOpen::Tooling::ReusePositioningObjectBuilder::CreateSketch ( NXOpen::NXObject dropFace,
const NXOpen::Point3d position 
)

Creates new sketch on drop face and location
Created in NX11.0.0.



License requirements : None

Parameters
dropFacetag of drop face of point
positionDestination point
NXString NXOpen::Tooling::ReusePositioningObjectBuilder::CurvePercentage ( )

Returns the percentage value of curve
Created in NX12.0.0.



License requirements : None

NXString NXOpen::Tooling::ReusePositioningObjectBuilder::DataFile ( )

Returns the imported data file name
Created in NX11.0.0.



License requirements : None

void NXOpen::Tooling::ReusePositioningObjectBuilder::DeletePoint ( NXOpen::Point point)

Delete point from sketch
Created in NX11.0.0.



License requirements : None

Parameters
pointtag of delete point
void NXOpen::Tooling::ReusePositioningObjectBuilder::DeselectNonPlanarObject ( const std::vector< NXOpen::NXObject * > &  delselectedObjs)

Deselected the edge or non planar face
Created in NX12.0.0.



License requirements : None

Parameters
delselectedObjsEdge or non planar face
NXOpen::Tooling::ReusePositioningObjectBuilder::DialogOptions NXOpen::Tooling::ReusePositioningObjectBuilder::DialogOption ( )

Returns the dialog option type that is from toolbar or others
Created in NX11.0.0.



License requirements : None

bool NXOpen::Tooling::ReusePositioningObjectBuilder::Distribution ( )

Returns the distribution mode of pattern point
Created in NX11.0.0.



License requirements : None

NXOpen::NXObject* NXOpen::Tooling::ReusePositioningObjectBuilder::DropObject ( )

Returns the drop face required for reattach sketch when using one-pick position method
Created in NX11.0.0.



License requirements : None

NXOpen::Matrix3x3 NXOpen::Tooling::ReusePositioningObjectBuilder::DynamicCsysOrientation ( )

Returns the orientation of dynamic csys
Created in NX11.0.0.



License requirements : None

NXOpen::Point3d NXOpen::Tooling::ReusePositioningObjectBuilder::DynamicCsysOrigin ( )

Returns the origin of dynamic csys
Created in NX11.0.0.



License requirements : None

NXOpen::Features::Feature* NXOpen::Tooling::ReusePositioningObjectBuilder::EditFeatureGroup ( )

Returns the feature group created after reuse paste
Created in NX11.0.0.



License requirements : None

void NXOpen::Tooling::ReusePositioningObjectBuilder::EditPoint ( NXOpen::Point point,
double  value,
bool  isXValue 
)

Edits point from sketch
Created in NX11.0.0.



License requirements : None

Parameters
pointtag of delete point
valuevalue point coordinates
isXValueis the value x or y coordinate
void NXOpen::Tooling::ReusePositioningObjectBuilder::EditPoint ( NXOpen::Point point,
double  xvalue,
double  yvalue 
)

Edits point from sketch
Created in NX11.0.0.



License requirements : None

Parameters
pointtag of delete point
xvaluevalue point x coordinates
yvaluevalue point y coordinates
NXOpen::Point* NXOpen::Tooling::ReusePositioningObjectBuilder::EditPointOnPlanar ( NXOpen::Point point,
double  value,
bool  isUValue 
)

Edits point on the planar face/curve.

Returns
point tag
Created in NX12.0.0.

License requirements : None
Parameters
pointtag of delete point
valuevalue point U,V or percentage on the curve
isUValueis the value U or V, or percentage on the curve
NXOpen::Point* NXOpen::Tooling::ReusePositioningObjectBuilder::EditPointOnPlanar ( NXOpen::Point point,
double  uValue,
double  vValue 
)

Edits point on the planar face/curve.

Returns
point tag
Created in NX11.0.0.

License requirements : None
Parameters
pointtag of delete point
uValuevalue point U,V or percentage on the curve
vValuevalue point U,V or percentage on the curve
NXString NXOpen::Tooling::ReusePositioningObjectBuilder::EndingUValue ( )

Returns the end U value of non planar face pattern
Created in NX12.0.0.



License requirements : None

NXString NXOpen::Tooling::ReusePositioningObjectBuilder::EndingVValue ( )

Returns the end V value of non planar face pattern
Created in NX12.0.0.



License requirements : None

void NXOpen::Tooling::ReusePositioningObjectBuilder::ExtendCurveFaceEdges ( bool  extendToFaceEdges)

Extend curve status accroding to the extend option
Created in NX12.0.0.



License requirements : None

Parameters
extendToFaceEdgesWhether the update the curve face edges when extend option turn on/off
NXOpen::Tooling::ReusePositioningObjectBuilder::CurveExtendToFace NXOpen::Tooling::ReusePositioningObjectBuilder::ExtendToFaceEdgesOption ( )

Returns the extend option for curve operation.


Created in NX12.0.0.

License requirements : None

NXOpen::CoordinateSystem* NXOpen::Tooling::ReusePositioningObjectBuilder::FindSeedCsysFromPattern ( NXOpen::NXObject csysPattern)

Find the seed CSYS tag from pattern.

Returns
Seed csys tag
Created in NX12.0.0.

License requirements : None
Parameters
csysPatternSelected csys pattern tag
void NXOpen::Tooling::ReusePositioningObjectBuilder::FlipOffsetCurveDirection ( )

Flip offset curve direction
Created in NX12.0.0.



License requirements : None

void NXOpen::Tooling::ReusePositioningObjectBuilder::FreeOcfApplicationData ( )

Free OCF applicaion data
Created in NX12.0.0.



License requirements : None

void NXOpen::Tooling::ReusePositioningObjectBuilder::GetAllDatumCsys ( std::vector< NXOpen::CoordinateSystem * > &  datumCsys)

Gets all the datum CSYS tag
Created in NX12.0.0.



License requirements : None

Parameters
datumCsyscsys tags
void NXOpen::Tooling::ReusePositioningObjectBuilder::GetCsysFromFeatureSet ( )

Get all CSYS tags from positioning feature set
Created in NX12.0.0.



License requirements : None

bool NXOpen::Tooling::ReusePositioningObjectBuilder::GetFeatureSetAttributes ( )

Gets attributes from feature set.

Returns

Created in NX11.0.0.

License requirements : None
bool NXOpen::Tooling::ReusePositioningObjectBuilder::GetNonStandardPoints ( std::vector< NXOpen::Point3d > &  points)

Gets the point coordinates.

Returns

Created in NX11.0.0.

License requirements : None
Parameters
pointspoints
NXOpen::NXObject* NXOpen::Tooling::ReusePositioningObjectBuilder::GetOffsetCsysPattern ( )

Get the offset datum CSYS pattern.

Returns
Offset CSYS pattern from quick csys mode
Created in NX12.0.0.

License requirements : None
void NXOpen::Tooling::ReusePositioningObjectBuilder::GetSketchFromFeatureSet ( )

Gets sketch tag from feature set
Created in NX11.0.0.



License requirements : None

NXOpen::Sketch* NXOpen::Tooling::ReusePositioningObjectBuilder::ImportedSketch ( )

Returns the imported sketch
Created in NX11.0.0.



License requirements : None

NXOpen::Point3d NXOpen::Tooling::ReusePositioningObjectBuilder::InitialPasteLocation ( )

Returns the initial paste location.

This is mainly used to define default paste location of sketch objects
Created in NX11.0.0.

License requirements : None

NXString NXOpen::Tooling::ReusePositioningObjectBuilder::Length ( )

Returns the length value of pattern
Created in NX11.0.0.



License requirements : None

NXString NXOpen::Tooling::ReusePositioningObjectBuilder::LibraryName ( )

Returns the library name that is used for the positioning object
Created in NX11.0.0.



License requirements : None

void NXOpen::Tooling::ReusePositioningObjectBuilder::LoadPart ( const NXString partFileName)

Imports given part file to current work part
Created in NX11.0.0.



License requirements : None

Parameters
partFileNamePart file name without path
void NXOpen::Tooling::ReusePositioningObjectBuilder::LoadPart ( const char *  partFileName)

Imports given part file to current work part
Created in NX11.0.0.



License requirements : None

Parameters
partFileNamePart file name without path
NXOpen::ScCollector* NXOpen::Tooling::ReusePositioningObjectBuilder::MultipleFaceCollector ( )

Returns the multiple face for non planar face
Created in NX12.0.0.



License requirements : None

NXOpen::Point* NXOpen::Tooling::ReusePositioningObjectBuilder::NewPoint ( )

Returns the new added point
Created in NX11.0.1.



License requirements : None

NXOpen::CoordinateSystem* NXOpen::Tooling::ReusePositioningObjectBuilder::OffsetCsysFromQuick ( )

Returns the offset datum CSYS from quick csys
Created in NX12.0.0.



License requirements : None

void NXOpen::Tooling::ReusePositioningObjectBuilder::OffsetCurveOnFace ( const NXString offsetValue)

Offset curve on the face
Created in NX12.0.0.



License requirements : None

Parameters
offsetValueoffset value
void NXOpen::Tooling::ReusePositioningObjectBuilder::OffsetCurveOnFace ( const char *  offsetValue)

Offset curve on the face
Created in NX12.0.0.



License requirements : None

Parameters
offsetValueoffset value
NXOpen::Features::Feature* NXOpen::Tooling::ReusePositioningObjectBuilder::OffsetDatumCsys ( )

Returns the offset datum CSYS
Created in NX12.0.0.



License requirements : None

NXString NXOpen::Tooling::ReusePositioningObjectBuilder::OffsetValue ( )

Returns the offset value of pattern
Created in NX11.0.0.



License requirements : None

NXOpen::Tooling::QuickDatumCsysBuilder* NXOpen::Tooling::ReusePositioningObjectBuilder::QuickCsysData ( )

Returns the quick CSYS data
Created in NX12.0.0.



License requirements : None

NXOpen::NXObject* NXOpen::Tooling::ReusePositioningObjectBuilder::ReferenceCsysPattern ( )

Returns the referenced CSYS pattern
Created in NX12.0.0.



License requirements : None

void NXOpen::Tooling::ReusePositioningObjectBuilder::RepositionBody ( const NXOpen::Point3d target,
const NXOpen::Matrix3x3 orient,
bool  twoPickPositionMode,
bool  onlyMovePoints 
)

Moves the body to the selected point and orientation
Created in NX11.0.0.



License requirements : None

Parameters
targetDestination point
orientOrientation
twoPickPositionModeFlag specifying whether to reposition the body based on active sketch plane when using two pick position method to drop the body. If True, reposition the body, else, do nothing.
onlyMovePointsFlag specifying whether to move the whole sketch or just the sketch points. If True, reposition the sketch points, else, reposition the whole sketch.
NXString NXOpen::Tooling::ReusePositioningObjectBuilder::RowNumber ( )

Returns the row number of pattern
Created in NX11.0.0.



License requirements : None

NXOpen::CoordinateSystem* NXOpen::Tooling::ReusePositioningObjectBuilder::SeedDatumCsys ( )

Returns the seed datum CSYS
Created in NX12.0.0.



License requirements : None

bool NXOpen::Tooling::ReusePositioningObjectBuilder::SelectedCurve ( )

Returns the flag of the selected curve
Created in NX12.0.0.



License requirements : None

NXOpen::Section* NXOpen::Tooling::ReusePositioningObjectBuilder::SelectedCurveCollector ( )

Returns the selected curve for non planar face
Created in NX12.0.0.



License requirements : None

bool NXOpen::Tooling::ReusePositioningObjectBuilder::SelectedNonPlanarFace ( )

Returns the flag of the selected non-planar face
Created in NX12.0.0.



License requirements : None

void NXOpen::Tooling::ReusePositioningObjectBuilder::SetAngle ( const NXString angle)

Sets the angle value of pattern
Created in NX11.0.0.



License requirements : None

Parameters
angleangle
void NXOpen::Tooling::ReusePositioningObjectBuilder::SetAngle ( const char *  angle)

Sets the angle value of pattern
Created in NX11.0.0.



License requirements : None

Parameters
angleangle
void NXOpen::Tooling::ReusePositioningObjectBuilder::SetBaseFaceForSection ( NXOpen::ScCollector collTag)

Set base face for section
Created in NX12.0.0.



License requirements : None

Parameters
collTagBase face collector tag
void NXOpen::Tooling::ReusePositioningObjectBuilder::SetColumnNumber ( const NXString columnNumber)

Sets the column number of pattern
Created in NX11.0.0.



License requirements : None

Parameters
columnNumbercolumnnumber
void NXOpen::Tooling::ReusePositioningObjectBuilder::SetColumnNumber ( const char *  columnNumber)

Sets the column number of pattern
Created in NX11.0.0.



License requirements : None

Parameters
columnNumbercolumnnumber
void NXOpen::Tooling::ReusePositioningObjectBuilder::SetCurvePercentage ( const NXString curvePercentage)

Sets the percentage value of curve
Created in NX12.0.0.



License requirements : None

Parameters
curvePercentagecurvepercentage
void NXOpen::Tooling::ReusePositioningObjectBuilder::SetCurvePercentage ( const char *  curvePercentage)

Sets the percentage value of curve
Created in NX12.0.0.



License requirements : None

Parameters
curvePercentagecurvepercentage
void NXOpen::Tooling::ReusePositioningObjectBuilder::SetDataFile ( const NXString dataFileName)

Sets the imported data file name
Created in NX11.0.0.



License requirements : None

Parameters
dataFileNameData file name
void NXOpen::Tooling::ReusePositioningObjectBuilder::SetDataFile ( const char *  dataFileName)

Sets the imported data file name
Created in NX11.0.0.



License requirements : None

Parameters
dataFileNameData file name
void NXOpen::Tooling::ReusePositioningObjectBuilder::SetDialogOption ( NXOpen::Tooling::ReusePositioningObjectBuilder::DialogOptions  options)

Sets the dialog option type that is from toolbar or others
Created in NX11.0.0.



License requirements : None

Parameters
optionsoptions
void NXOpen::Tooling::ReusePositioningObjectBuilder::SetDistribution ( bool  isSymmetrical)

Sets the distribution mode of pattern point
Created in NX11.0.0.



License requirements : None

Parameters
isSymmetricalissymmetrical
void NXOpen::Tooling::ReusePositioningObjectBuilder::SetDropObject ( NXOpen::NXObject face)

Sets the drop face required for reattach sketch when using one-pick position method
Created in NX11.0.0.



License requirements : None

Parameters
faceDrop face or point
void NXOpen::Tooling::ReusePositioningObjectBuilder::SetDynamicCsysOrientation ( const NXOpen::Matrix3x3 orientation)

Sets the orientation of dynamic csys
Created in NX11.0.0.



License requirements : None

Parameters
orientationOrientation of dynamic csys
void NXOpen::Tooling::ReusePositioningObjectBuilder::SetDynamicCsysOrigin ( const NXOpen::Point3d origin)

Sets the origin of dynamic csys
Created in NX11.0.0.



License requirements : None

Parameters
originOrigin of dynamic csys
void NXOpen::Tooling::ReusePositioningObjectBuilder::SetEditFeatureGroup ( NXOpen::Features::Feature featureGroup)

Sets the feature group created after reuse paste
Created in NX11.0.0.



License requirements : None

Parameters
featureGroupRepositioning feature group
void NXOpen::Tooling::ReusePositioningObjectBuilder::SetEndingUValue ( const NXString endUValue)

Sets the end U value of non planar face pattern
Created in NX12.0.0.



License requirements : None

Parameters
endUValueenduvalue
void NXOpen::Tooling::ReusePositioningObjectBuilder::SetEndingUValue ( const char *  endUValue)

Sets the end U value of non planar face pattern
Created in NX12.0.0.



License requirements : None

Parameters
endUValueenduvalue
void NXOpen::Tooling::ReusePositioningObjectBuilder::SetEndingVValue ( const NXString endVValue)

Sets the end V value of non planar face pattern
Created in NX12.0.0.



License requirements : None

Parameters
endVValueendvvalue
void NXOpen::Tooling::ReusePositioningObjectBuilder::SetEndingVValue ( const char *  endVValue)

Sets the end V value of non planar face pattern
Created in NX12.0.0.



License requirements : None

Parameters
endVValueendvvalue
void NXOpen::Tooling::ReusePositioningObjectBuilder::SetExtendToFaceEdgesOption ( NXOpen::Tooling::ReusePositioningObjectBuilder::CurveExtendToFace  extendToFaceEdges)

Sets the extend option for curve operation.


Created in NX12.0.0.

License requirements : None

Parameters
extendToFaceEdgesextend to face edges
void NXOpen::Tooling::ReusePositioningObjectBuilder::SetImportedSketch ( NXOpen::Sketch sketch)

Sets the imported sketch
Created in NX11.0.0.



License requirements : None

Parameters
sketchImported sketch
void NXOpen::Tooling::ReusePositioningObjectBuilder::SetInitialPasteLocation ( const NXOpen::Point3d dropLocation)

Sets the initial paste location.

This is mainly used to define default paste location of sketch objects
Created in NX11.0.0.

License requirements : None

Parameters
dropLocationThe drop location coordinates in absolute
void NXOpen::Tooling::ReusePositioningObjectBuilder::SetLength ( const NXString length)

Sets the length value of pattern
Created in NX11.0.0.



License requirements : None

Parameters
lengthlength
void NXOpen::Tooling::ReusePositioningObjectBuilder::SetLength ( const char *  length)

Sets the length value of pattern
Created in NX11.0.0.



License requirements : None

Parameters
lengthlength
void NXOpen::Tooling::ReusePositioningObjectBuilder::SetLibraryName ( const NXString libraryName)

Sets the library name that is used for the positioning object
Created in NX11.0.0.



License requirements : None

Parameters
libraryNameLibrary name
void NXOpen::Tooling::ReusePositioningObjectBuilder::SetLibraryName ( const char *  libraryName)

Sets the library name that is used for the positioning object
Created in NX11.0.0.



License requirements : None

Parameters
libraryNameLibrary name
void NXOpen::Tooling::ReusePositioningObjectBuilder::SetMultipleFaceCollector ( NXOpen::ScCollector collTag)

Sets the multiple face for non planar face
Created in NX12.0.0.



License requirements : None

Parameters
collTagmutiple face collector tag
void NXOpen::Tooling::ReusePositioningObjectBuilder::SetNewPoint ( NXOpen::Point point)

Sets the new added point
Created in NX11.0.1.



License requirements : None

Parameters
pointNew added point tag
void NXOpen::Tooling::ReusePositioningObjectBuilder::SetNonStandardPoints ( const std::vector< NXOpen::Point3d > &  points,
bool  isAbsolute 
)

Set the point coordinates
Created in NX11.0.0.



License requirements : None

Parameters
pointspoints
isAbsoluteFlag indicating whether the points is absolute or not
void NXOpen::Tooling::ReusePositioningObjectBuilder::SetOffsetCsysFromQuick ( NXOpen::CoordinateSystem offsetCsysFromQuick)

Sets the offset datum CSYS from quick csys
Created in NX12.0.0.



License requirements : None

Parameters
offsetCsysFromQuickOffset CSYS from quick csys mode
void NXOpen::Tooling::ReusePositioningObjectBuilder::SetOffsetDatumCsys ( NXOpen::Features::Feature offsetCsys)

Sets the offset datum CSYS
Created in NX12.0.0.



License requirements : None

Parameters
offsetCsysOffset datum CSYS feature tag
void NXOpen::Tooling::ReusePositioningObjectBuilder::SetOffsetValue ( const NXString offsetValue)

Sets the offset value of pattern
Created in NX11.0.0.



License requirements : None

Parameters
offsetValueoffsetvalue
void NXOpen::Tooling::ReusePositioningObjectBuilder::SetOffsetValue ( const char *  offsetValue)

Sets the offset value of pattern
Created in NX11.0.0.



License requirements : None

Parameters
offsetValueoffsetvalue
void NXOpen::Tooling::ReusePositioningObjectBuilder::SetPointsInSketch ( )

Sets points in sketch
Created in NX11.0.0.



License requirements : None

void NXOpen::Tooling::ReusePositioningObjectBuilder::SetQuickCsysData ( NXOpen::Tooling::QuickDatumCsysBuilder quickCsysData)

Sets the quick CSYS data
Created in NX12.0.0.



License requirements : None

Parameters
quickCsysDataQuick Csys builder data
void NXOpen::Tooling::ReusePositioningObjectBuilder::SetReferenceCsysPattern ( NXOpen::NXObject referCsysPattern)

Sets the referenced CSYS pattern
Created in NX12.0.0.



License requirements : None

Parameters
referCsysPatternReference CSYS pattern tag
void NXOpen::Tooling::ReusePositioningObjectBuilder::SetRowNumber ( const NXString rowNumber)

Sets the row number of pattern
Created in NX11.0.0.



License requirements : None

Parameters
rowNumberrownumber
void NXOpen::Tooling::ReusePositioningObjectBuilder::SetRowNumber ( const char *  rowNumber)

Sets the row number of pattern
Created in NX11.0.0.



License requirements : None

Parameters
rowNumberrownumber
void NXOpen::Tooling::ReusePositioningObjectBuilder::SetSeedDatumCsys ( NXOpen::CoordinateSystem seedCsys)

Sets the seed datum CSYS
Created in NX12.0.0.



License requirements : None

Parameters
seedCsysSeed datum CSYS tag
void NXOpen::Tooling::ReusePositioningObjectBuilder::SetSelectedCurve ( bool  selected)

Sets the flag of the selected curve
Created in NX12.0.0.



License requirements : None

Parameters
selectedselected
void NXOpen::Tooling::ReusePositioningObjectBuilder::SetSelectedCurveCollector ( NXOpen::Section section)

Sets the selected curve for non planar face
Created in NX12.0.0.



License requirements : None

Parameters
sectionthe selected curve section tag
void NXOpen::Tooling::ReusePositioningObjectBuilder::SetSelectedNonPlanarFace ( bool  selected)

Sets the flag of the selected non-planar face
Created in NX12.0.0.



License requirements : None

Parameters
selectedselected
void NXOpen::Tooling::ReusePositioningObjectBuilder::SetSketchActive ( NXOpen::Sketch sketch)

Sets the sketch to be active
Created in NX11.0.0.



License requirements : None

Parameters
sketchsketch
void NXOpen::Tooling::ReusePositioningObjectBuilder::SetStartingUValue ( const NXString startUValue)

Sets the start U value of non planar face pattern
Created in NX12.0.0.



License requirements : None

Parameters
startUValuestartuvalue
void NXOpen::Tooling::ReusePositioningObjectBuilder::SetStartingUValue ( const char *  startUValue)

Sets the start U value of non planar face pattern
Created in NX12.0.0.



License requirements : None

Parameters
startUValuestartuvalue
void NXOpen::Tooling::ReusePositioningObjectBuilder::SetStartingVValue ( const NXString startVValue)

Sets the start V value of non planar face pattern
Created in NX12.0.0.



License requirements : None

Parameters
startVValuestartvvalue
void NXOpen::Tooling::ReusePositioningObjectBuilder::SetStartingVValue ( const char *  startVValue)

Sets the start V value of non planar face pattern
Created in NX12.0.0.



License requirements : None

Parameters
startVValuestartvvalue
void NXOpen::Tooling::ReusePositioningObjectBuilder::SetSubType ( NXOpen::Tooling::ReusePositioningObjectBuilder::SubTypes  type)

Sets the positioning object sub type that is from pattern or imported data
Created in NX12.0.0.



License requirements : None

Parameters
typetype
void NXOpen::Tooling::ReusePositioningObjectBuilder::SetTrimToFaceEdgesOption ( bool  trimToFaceEdges)

Sets the trim option for curve option.


Created in NX12.0.0.

License requirements : None

Parameters
trimToFaceEdgestrim to face edges
void NXOpen::Tooling::ReusePositioningObjectBuilder::SetType ( NXOpen::Tooling::ReusePositioningObjectBuilder::Types  type)

Sets the positioning object type that is from pattern or imported data
Created in NX11.0.0.



License requirements : None

Parameters
typetype
void NXOpen::Tooling::ReusePositioningObjectBuilder::SetUPercentage ( const NXString uPercentage)

Sets the u percentage of non planar face pattern
Created in NX12.0.0.



License requirements : None

Parameters
uPercentageupercentage
void NXOpen::Tooling::ReusePositioningObjectBuilder::SetUPercentage ( const char *  uPercentage)

Sets the u percentage of non planar face pattern
Created in NX12.0.0.



License requirements : None

Parameters
uPercentageupercentage
void NXOpen::Tooling::ReusePositioningObjectBuilder::SetUseFaceCenterAsLocation ( bool  useFaceCenter)

Sets an option that indicates whether to use face center as location
Created in NX11.0.0.



License requirements : None

Parameters
useFaceCenterFlag indicating whether to use face center or not
void NXOpen::Tooling::ReusePositioningObjectBuilder::SetUseOnePickPositionMethod ( bool  useOnePickPositionMethod)

Sets the option specifying whether to use one-pick position method for drag/drop
Created in NX11.0.0.



License requirements : None

Parameters
useOnePickPositionMethodFlag indicating whether to use one pick position method or not
void NXOpen::Tooling::ReusePositioningObjectBuilder::SetUseProjectPoint ( bool  useProjectPoint)

Sets an option that indicates whether to use project point if associative point is not in the same plane as sketch
Created in NX11.0.1.



License requirements : None

Parameters
useProjectPointFlag indicating whether to use project point or not
void NXOpen::Tooling::ReusePositioningObjectBuilder::SetVPercentage ( const NXString vPercentage)

Sets the v percentage of non planar face pattern
Created in NX12.0.0.



License requirements : None

Parameters
vPercentagevpercentage
void NXOpen::Tooling::ReusePositioningObjectBuilder::SetVPercentage ( const char *  vPercentage)

Sets the v percentage of non planar face pattern
Created in NX12.0.0.



License requirements : None

Parameters
vPercentagevpercentage
void NXOpen::Tooling::ReusePositioningObjectBuilder::SetWidth ( const NXString width)

Sets the width value of pattern
Created in NX11.0.0.



License requirements : None

Parameters
widthwidth
void NXOpen::Tooling::ReusePositioningObjectBuilder::SetWidth ( const char *  width)

Sets the width value of pattern
Created in NX11.0.0.



License requirements : None

Parameters
widthwidth
NXOpen::Section* NXOpen::Tooling::ReusePositioningObjectBuilder::SketchPoint ( )

Returns the part sketch point section
Created in NX11.0.0.



License requirements : None

NXString NXOpen::Tooling::ReusePositioningObjectBuilder::StartingUValue ( )

Returns the start U value of non planar face pattern
Created in NX12.0.0.



License requirements : None

NXString NXOpen::Tooling::ReusePositioningObjectBuilder::StartingVValue ( )

Returns the start V value of non planar face pattern
Created in NX12.0.0.



License requirements : None

NXOpen::Tooling::ReusePositioningObjectBuilder::SubTypes NXOpen::Tooling::ReusePositioningObjectBuilder::SubType ( )

Returns the positioning object sub type that is from pattern or imported data
Created in NX12.0.0.



License requirements : None

void NXOpen::Tooling::ReusePositioningObjectBuilder::TrimCurveFaceEdges ( bool  trimToFaceEdges)

Trim curve status accroding to the trim option
Created in NX12.0.0.



License requirements : None

Parameters
trimToFaceEdgesWhether the update the curve face edges when trim option turn on/off
bool NXOpen::Tooling::ReusePositioningObjectBuilder::TrimToFaceEdgesOption ( )

Returns the trim option for curve option.


Created in NX12.0.0.

License requirements : None

NXOpen::Tooling::ReusePositioningObjectBuilder::Types NXOpen::Tooling::ReusePositioningObjectBuilder::Type ( )

Returns the positioning object type that is from pattern or imported data
Created in NX11.0.0.



License requirements : None

void NXOpen::Tooling::ReusePositioningObjectBuilder::UpdateDatumCsysByType ( )

Update datum CSYS when switch the type
Created in NX12.0.0.



License requirements : None

void NXOpen::Tooling::ReusePositioningObjectBuilder::UpdateQuickCsysPattern ( )

Update quick CSYS pattern
Created in NX12.0.0.



License requirements : None

NXString NXOpen::Tooling::ReusePositioningObjectBuilder::UPercentage ( )

Returns the u percentage of non planar face pattern
Created in NX12.0.0.



License requirements : None

bool NXOpen::Tooling::ReusePositioningObjectBuilder::UseFaceCenterAsLocation ( )

Returns an option that indicates whether to use face center as location
Created in NX11.0.0.



License requirements : None

bool NXOpen::Tooling::ReusePositioningObjectBuilder::UseOnePickPositionMethod ( )

Returns the option specifying whether to use one-pick position method for drag/drop
Created in NX11.0.0.



License requirements : None

bool NXOpen::Tooling::ReusePositioningObjectBuilder::UseProjectPoint ( )

Returns an option that indicates whether to use project point if associative point is not in the same plane as sketch
Created in NX11.0.1.



License requirements : None

NXString NXOpen::Tooling::ReusePositioningObjectBuilder::VPercentage ( )

Returns the v percentage of non planar face pattern
Created in NX12.0.0.



License requirements : None

NXString NXOpen::Tooling::ReusePositioningObjectBuilder::Width ( )

Returns the width value of pattern
Created in NX11.0.0.



License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.